API
Reddit API
The AI-powered Reddit provides 360° Global Media Data & Intelligence on Reddit communities, moderators, brand researchers, and community engagement teams.
Справочник API Версия: 1.0.0 3 Точки доступа Аутентификация
Базовый URL
https://pressmonitor.com/api Аутентификация
Все запросы требуют заголовков x-api-key и x-subscription-id. x-api-key аутентифицирует вашу учетную запись; x-subscription-id выбирает подписанный сервис.
x-api-key: YOUR_API_KEY
x-subscription-id: YOUR_SUB_ID GET
/reddit_subreddit Reddit Subreddit
Параметры
| Имя | Тип | Местоположение | Обязательно | Описание |
|---|---|---|---|---|
| subreddit | string | query | Да | Subreddit name |
| limit | integer | query | Нет | Number of results |
Примеры кода
curl -X GET \
"https://pressmonitor.com/api/reddit_subreddit?subreddit=VALUE&limit=VALUE" \
-H "x-api-key: YOUR_API_KEY" \
-H "x-subscription-id: YOUR_SUB_ID" Ответы
200 Success
GET
/reddit_search Reddit Recherche
Параметры
| Имя | Тип | Местоположение | Обязательно | Описание |
|---|---|---|---|---|
| query | string | query | Да | Search query |
| limit | integer | query | Нет | Number of results |
Примеры кода
curl -X GET \
"https://pressmonitor.com/api/reddit_search?query=VALUE&limit=VALUE" \
-H "x-api-key: YOUR_API_KEY" \
-H "x-subscription-id: YOUR_SUB_ID" Ответы
200 Success
GET
/reddit_user Reddit Utilisateur
Параметры
| Имя | Тип | Местоположение | Обязательно | Описание |
|---|---|---|---|---|
| username | string | query | Да | Username |
Примеры кода
curl -X GET \
"https://pressmonitor.com/api/reddit_user?username=VALUE" \
-H "x-api-key: YOUR_API_KEY" \
-H "x-subscription-id: YOUR_SUB_ID" Ответы
200 Success
